Uploaded image for project: 'Groovy'
  1. Groovy
  2. GROOVY-8513

Groovy Scripting Engine not loading in Apache Sling 10

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Duplicate
    • Affects Version/s: 2.4.14
    • Fix Version/s: None
    • Component/s: Groovlet / GSP
    • Labels:
      None

      Description

      With the latest release of Apache Sling (10) the Groovy Scripting engine is no longer loading.

      The impact is that scripts with a (*.groovy) extension aren't rendering.

      This works with Apache Sling 9, so I believe there was a change in the Apache Sling Scripting Core that broke the Groovy implementation.

       

      How to reproduce:

      Load groovy-all JAR into Apache Sling as a bundle, under the url http://localhost:8080/system/console/status-slingscripting the following should display:

      Groovy Scripting Engine 2.0
      -------------------------------------
      - Language : Groovy, 2.4.14
      - Extensions : groovy
      - MIME Types : application/x-groovy
      - Names : groovy, Groovy

       

      This works with Apache Sling 9, not with Sling 10

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                fortuna Ben Fortuna
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: